@import '../../vars';

.input {
  position: absolute;
  left: -9999px;
  appearance: none;
}

.circle {
  border-radius: 50%;
  width: 24px;
  height: 24px;
  background-color: $matterColorLight;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.15);
  display: flex;
  align-items: center;
  justify-content: center;
  transform: translate3d(0, 0, 0);
  transition: transform 0.2s ease-in-out;

  &.active {
    transform: translate3d(18px, 0, 0);
  }
}

.icon {
  fill: transparent;
  transition: opacity 0.2s ease-in-out, stroke 0.2s ease-in-out;
}

.toggle {
  box-sizing: border-box;
  border-radius: 22px;
  width: 48px;
  height: 30px;
  display: flex;
  align-items: center;
  padding: 3px;
  cursor: pointer;
  transition: opacity 0.2s ease-in-out, background-color 0.2s ease-in-out;
}

.toggle.white {
  background-color: #eeeeee;

  & .circle {
    background-color: $matterColorLight;
  }

  & .icon {
    stroke: $successColor;
  }

  &.active {
    & .circle {
      background-color: $successColor;
    }

    & .icon {
      stroke: $matterColorLight;
    }
  }
}

.toggle.green {
  background-color: #eeeeee;

  & .circle {
    background-color: $matterColorLight;
  }

  & .icon {
    stroke: $successColor;
  }

  &.active {
    background-color: $successColor;
  }
}

.disabled {
  opacity: 0.5;
  pointer-events: none;
}

.hidden {
  opacity: 0;
}
